Xerces2 Implementation: Class LSInputListImpl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class LSInputListImpl

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--org.apache.xerces.impl.xs.util.LSInputListImpl

All Implemented Interfaces:
  java.util.Collection, java.util.List, org.apache.xerces.xs.LSInputList

public final class LSInputListImpl
extends java.util.AbstractList
implements org.apache.xerces.xs.LSInputList

Contains a list of LSInputs.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: LSInputListImpl.java 776326 2009-05-19 14:27:24Z mrglavas $
Author:
  Michael Glavassevich, IBM

Field Summary
`static LSInputListImpl` | `EMPTY_LIST` An immutable empty list.

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`LSInputListImpl(org.w3c.dom.ls.LSInput[] array, int length)` Construct an LSInputList implementation

Method Summary
`java.lang.Object` | `get(int index)`
`int` | `getLength()` The number of `LSInput`s in the list.
`org.w3c.dom.ls.LSInput` | `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] a)`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, subList`

Field Detail

### EMPTY_LIST

    public static final LSInputListImpl EMPTY_LIST

  An immutable empty list.

Constructor Detail

### LSInputListImpl

    public LSInputListImpl(org.w3c.dom.ls.LSInput[] array,
                           int length)

  Construct an LSInputList implementation
  Parameters:
    `array` - the data array
    `length` - the number of elements

Method Detail

### getLength

    public int getLength()

  The number of `LSInput`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `org.apache.xerces.xs.LSInputList`

### item

    public org.w3c.dom.ls.LSInput item(int index)

  Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.
  Specified by:
    `item` in interface `org.apache.xerces.xs.LSInputList`
  Parameters:
    `index` - index into the collection.
  Returns:
    The `LSInput` at the `index`th position in the `LSInputList`, or `null` if the index specified is not valid.

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List`
  Overrides:
    `get` in class `java.util.AbstractList`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.List`
  Overrides:
    `size` in class `java.util.AbstractCollection`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.List`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  Specified by:
    `toArray` in interface `java.util.List`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.